Skip to main content
PUT
/
management
/
companies
curl -X PUT "https://api.cryptomate.me/management/companies" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Corporation",
    "email": "contact@acme.com",
    "webhook_url": "https://api.acme.com/webhooks",
    "webhook_key": "wh_key_abc123xyz"
  }'
{
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "webhook_url": "https://api.acme.com/webhooks",
  "webhook_key": "wh_key_abc123xyz"
}
Updates the company details including name, contact information, and webhook settings. Requires an API key with access level 3 or higher.

Body

name
string
Company name.
email
string
Company contact email address.
webhook_url
string
Webhook URL for receiving notifications.
webhook_key
string
Secret key for webhook signature verification.

Response

name
string
Company name.
email
string
Company contact email address.
webhook_url
string
Webhook URL for receiving notifications.
webhook_key
string
Secret key used for webhook signature verification.
curl -X PUT "https://api.cryptomate.me/management/companies" \
  -H "X-API-KEY: $CRYPTOMATE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Acme Corporation",
    "email": "contact@acme.com",
    "webhook_url": "https://api.acme.com/webhooks",
    "webhook_key": "wh_key_abc123xyz"
  }'
{
  "name": "Acme Corporation",
  "email": "contact@acme.com",
  "webhook_url": "https://api.acme.com/webhooks",
  "webhook_key": "wh_key_abc123xyz"
}